Subject: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Sep 2023 08:00:12 +0300

> From: StrawberryTea <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 23 Sep 2023 14:05:53 -0500
> 
> What I’m saying is that, I start up GDB and I set a breakpoint on Frecenter and
> step into display_line, I can see the glyph row and how all the characters in
> the folded heading have the heading except the newline character at the end. And
> I would like for in this specific scenario, the face on the ellipsis to be used
> (since it has extend) instead of the face on the newline which is the default
> face. But I don’t know how to make that modification to the code yet.

How will this behavior be limited to the case of folded text?  Because
when the text between the ellipsis and the newline is not invisible,
the face of the newline should still be used, otherwise we will have
an unacceptable change in behavior in the "normal" cases, when there's
no invisible folded text.